From 921d13272d55f8bc1baaf9f86b9fc2b6ee960ca9 Mon Sep 17 00:00:00 2001
Message-Id: <921d13272d55f8bc1baaf9f86b9fc2b6ee960ca9.1434100250.git.agx@sigxcpu.org>
From: =?UTF-8?q?Guido=20G=C3=BCnther?= <agx@sigxcpu.org>
Date: Fri, 12 Jun 2015 10:51:02 +0200
Subject: [PATCH] Avoid division by zero on empty size

---
 .../Avoid-division-by-zero-on-empty-size.patch     | 25 ++++++++++++++++++++++
 debian/patches/series                              |  1 +
 2 files changed, 26 insertions(+)
 create mode 100644 debian/patches/Avoid-division-by-zero-on-empty-size.patch

diff --git a/debian/patches/Avoid-division-by-zero-on-empty-size.patch b/debian/patches/Avoid-division-by-zero-on-empty-size.patch
new file mode 100644
index 0000000..62e7992
--- /dev/null
+++ b/debian/patches/Avoid-division-by-zero-on-empty-size.patch
@@ -0,0 +1,25 @@
+From: =?utf-8?q?Guido_G=C3=BCnther?= <agx@sigxcpu.org>
+Date: Fri, 12 Jun 2015 10:49:52 +0200
+Subject: Avoid division by zero on empty size
+
+Basically a cherry-pick of revision 1340 in SVN fixing a
+floating point exception.
+
+Bug: http://savannah.nongnu.org/bugs/?40142
+---
+ avr.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/avr.c b/avr.c
+index 3b4c872..a04b2da 100644
+--- a/avr.c
++++ b/avr.c
+@@ -1238,7 +1238,7 @@ void report_progress (int completed, int total, char *hdr)
+ {
+   static int last = 0;
+   static double start_time;
+-  int percent = (completed * 100) / total;
++  int percent = (total > 0) ? ((completed * 100) / total) : 100;
+   struct timeval tv;
+   double t;
+ 
diff --git a/debian/patches/series b/debian/patches/series
index 999888d..b742fde 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,3 +1,4 @@
 0001-Fix-paths-in-the-man-page.patch
 0002-FT245R-correct-reset-ftdi_syncbb.patch
 0003-Fix-Linux-GPIO-pindefs-typo.patch
+Avoid-division-by-zero-on-empty-size.patch
-- 
2.1.4

